
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java web中不同浏览器间导出Excel文件名称乱码问题解决方案 / 憋错料</title>

    <meta name="description" content="Java web中不同浏览器间导出Excel文件名称乱码问题解决方案 问题描述: 对于不同浏览器存在对中文编码格式问题,从而在导出Excel文件时,中文文件名出现乱码的情况,即在程序中给要导出的文件指定一个中文名字时,在浏览器上出现的下载框中的文件名出现了乱码,解决如下: 解决方案: [java] view plain copy Date dt=new Date();//如果不需要格式,可直接用dt,dt就是当前系统时间 DateFormat df = new SimpleDateFormat(&quot;yyyy/MM/dd HH:mm:ss&quot;);// ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Java web中不同浏览器间导出Excel文件名称乱码问题解决方案</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>问题描述：</strong></p>
<p>对于不同浏览器存在对中文编码格式问题，从而在导出Excel文件时，中文文件名出现乱码的情况，即在程序中给要导出的文件指定一个中文名字时，在浏览器上出现的下载框中的文件名出现了乱码，解决如下：</p>
<p><strong>解决方案：</strong></p>
<p><strong>[java]</strong>&nbsp;<a href="http://blog.csdn.net/tongxinxiao/article/details/43733881#" rel="external nofollow noreferrer">view plain</a>&nbsp;<a href="http://blog.csdn.net/tongxinxiao/article/details/43733881#" rel="external nofollow noreferrer">copy</a></p>

<ol>
<li>Date&nbsp;dt=new&nbsp;Date();//如果不需要格式,可直接用dt,dt就是当前系统时间</li>
<li>DateFormat&nbsp;df&nbsp;=&nbsp;new&nbsp;SimpleDateFormat("yyyy/MM/dd&nbsp;HH:mm:ss");//设置显示格式</li>
<li>String&nbsp;nowTime="";</li>
<li>nowTime=&nbsp;df.format(dt);//用DateFormat的format()方法在dt中获取并以yyyy/MM/dd&nbsp;HH:mm:ss格式显示</li>
<li>WritableWorkbook&nbsp;book&nbsp;=&nbsp;null;</li>
<li>String&nbsp;fileName&nbsp;=&nbsp;null;</li>
<li>fileName&nbsp;=&nbsp;"中文文件名"+nowTime+&nbsp;".xls";</li>
<li>OutputStream&nbsp;os&nbsp;=&nbsp;null;</li>
<li>final&nbsp;String&nbsp;userAgent&nbsp;=&nbsp;request.getHeader("USER-AGENT");</li>
<li>try&nbsp;{</li>
<li>os&nbsp;=&nbsp;response.getOutputStream();</li>
<li>esponse.reset();//清空输出流</li>
<li>String&nbsp;finalFileName&nbsp;=&nbsp;null;</li>
<li>if(StringUtils.contains(userAgent,&nbsp;"MSIE")){//IE浏览器</li>
<li>finalFileName&nbsp;=&nbsp;URLEncoder.encode(fileName,"UTF8");</li>
<li>}else&nbsp;if(StringUtils.contains(userAgent,&nbsp;"Mozilla")){//google,火狐浏览器</li>
<li>finalFileName&nbsp;=&nbsp;new&nbsp;String(fileName.getBytes(),&nbsp;"ISO8859-1");</li>
<li>}else{</li>
<li>finalFileName&nbsp;=&nbsp;URLEncoder.encode(fileName,"UTF8");//其他浏览器</li>
<li>}</li>
<li>response.setHeader("Content-Disposition",&nbsp;"attachment;&nbsp;filename=\""&nbsp;+&nbsp;finalFileName&nbsp;+&nbsp;"\"");//这里设置一下让浏览器弹出下载提示框，而不是直接在浏览器中打开</li>
<li>response.setContentType("application/vnd.ms-excel");</li>
<li>}&nbsp;catch&nbsp;(UnsupportedEncodingException&nbsp;e)&nbsp;{</li>
<li>e.printStackTrace();</li>
<li>}catch&nbsp;(IOException&nbsp;e)&nbsp;{</li>
<li>e.printStackTrace();</li>
<li>}</li>
<li>book&nbsp;=&nbsp;Workbook.createWorkbook(os);</li>
<li>WritableSheet&nbsp;sheet&nbsp;=&nbsp;book.createSheet("Sheet_1",&nbsp;0);.................................</li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-24 02:20:37 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/log/" title="log">log</a>, <a href="https://www.biecuoliao.com/tag/%e8%a7%a3%e5%86%b3/" title="解决">解决</a>, <a href="https://www.biecuoliao.com/tag/else/" title="else">else</a>, <a href="https://www.biecuoliao.com/tag/table/" title="table">table</a>, <a href="https://www.biecuoliao.com/tag/%e6%8f%8f%e8%bf%b0/" title="描述">描述</a>, <a href="https://www.biecuoliao.com/tag/ica/" title="ica">ica</a>, <a href="https://www.biecuoliao.com/tag/utf8/" title="utf8">utf8</a>, <a href="https://www.biecuoliao.com/tag/catch/" title="catch">catch</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%ad%e6%96%87%e7%bc%96%e7%a0%81/" title="中文编码">中文编码</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Java web中不同浏览器间导出Excel文件名称乱码问题解决方案的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Yg6WW4.html" rel="bookmark">jxl导出EXCEL文件名称乱码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始导出excle时名称是乱码的,加上下面的就可以了, String FileNam=&quot;xx医院_xxxx_xx_xx.xls&quot;; res.setCharacterEncoding(&quot;UTF-8&quot;); res.setContentType(&quot;application/octet-stream&quot;); String fileName_1 = new String(FileName.getBytes(&quot;UTF-8&quot;), &quot;i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KeglO4.html" rel="bookmark">Java Web实现使用浏览器从服务器下载文件&lpar;后台&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java Web实现 使用浏览器从服务器下载文件. 下面实现两种情况的下载,需求如下: 需求(一):1.用户在页面填写表单. 2.填写完成后,选择下载,将表单内容发往后台. 3.后台根据内容生产一个文件,发送给前端. 4.前端成功下载文件到本地. 此需求简单来说就是,用户在页面上填写内容,然后将内容转变成文件的形式. 后台设计思路:1.首先拿到前端发送过来的内容. 2.将内容解析,存放至缓冲区. 3.设置响应头. 4.将缓冲区里的内容,以流的方式写出. 代码实现: public void dow			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ek2nD4.html" rel="bookmark">java中使用poi导入导出excel文件&lowbar;并自定义日期格式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Apache POI项目的使命是创造和保持java API操纵各种文件格式基于Office Open XML标准(OOXML)和微软的OLE复合文档格式(OLE2)2.总之,你可以读写Excel文件使用java.此外,您可以读取和写入MS Word和PowerPoint文件使用java.Apache POI是java Excel解决方案(Excel 97-2008). 需要jar: poi-3.9-20121203.jar 导出 public static void main(String[]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZdYqqM.html" rel="bookmark">在ASP MVC中如何使用Angular5导出excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				话不多说,直接来实际的. import { Injectable } from '@angular/core';import { HttpClient, HttpParams, HttpHeaders } from '@angular/common/http';import { Observable } from 'rxjs';@Injectable() 首先引用基础组件. url: string; constructor(private http: HttpClient) { } 声明api路			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JBlRn4.html" rel="bookmark">eggjs中使用exceljs直接导出excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近要做一个导出excel表的功能,网上很多教程都是服务端生成excel文件,然后将excel文件返回给客户端,这样做的话服务端就会生成一个不需要的excel文件了,查了许久(本人太菜了莫见怪)找到了直接将excel文件生成到客户端的方法,这里记录一下,给那些和我一样找这个方法的童鞋.不多说了,写法如下: const Excel = require('exceljs'); let workBook = new Excel.Workbook(); // .... 这里是一系列添加数据操作,网上很多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lLawB0.html" rel="bookmark">reportviewer在web端手写代码导出excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				private void Page_Load(object sender, System.EventArgs e) { this.rdlViewer.ProcessingMode = ProcessingMode.Local; this.rdlViewer.LocalReport.ReportPath = @&quot;d:\Group+Process+by+Steps+(+Open+)+report.rdl&quot;; } protected void Button1_Click(object sen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nyDZNM.html" rel="bookmark">兼容各浏览器的文件下载时中文名称乱码的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				public class DownloadServlet extends HttpServlet { protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException { // codes.. String name = &quot;中文名 带空格 的测试文件.txt&quot;; String userAgent = request.get			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPv8y63.html" rel="bookmark">页面导出Excel文件总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 概述: 1.1 导出耗时环节 1.利用MySQL语句查询行号,作为导出表格的序号 2.查询数据按照船代分组,Java代码获取分组数据 3.导出Excel文件按照船代分sheet页 4.导出设置错行号,导致表格标题丢失 5.设置导出表格样式 1.2 导出难点: 1.查询数据按照船代分组,Java代码获取分组数据 2.导出Excel文件按照船代分sheet页 2 利用MySQL语句查询行号,作为导出表格的序号 将数据库查询数据导出到Excel文件,Excel文件里有一列是序号,一般情况下,序号可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47Eo1k0.html" rel="bookmark">PHP从数据库原生导出Excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php //这里三个header文件是为了将数据库数据导出Excel表格中,必须存在;//设置编码header('Content-type: text/html; charset=utf-8');//设置为Excelheader(&quot;Content-type:application/vnd.ms-excel&quot;);//设置Excel表名header(&quot;Content-Disposition:filename=PHP_est.xls&quot;); //面向过程风格,连接			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eqep0.html" rel="bookmark" class="title">Android RadioGroup和RadioButton详解</a>
					<div>
						实现RadioButton由两部分组成,也就是RadioButton和RadioGroup配合使用.RadioGroup是单选组合框,可以容纳多个RadioButton的容器.在没有RadioGrou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MB2EjM.html" rel="bookmark" class="title">在UnrealEngine中用Custom节点实现毛玻璃的效果</a>
					<div>
						本人在论坛上找到了一篇实现毛玻璃效果的文章:https://forums.unrealengine.com/showthread.php?70143-So-Blurred-glass-material ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412DjJM.html" rel="bookmark" class="title">10个最好用的网上编译&sol;调试工具</a>
					<div>
						译文链接:http://www.codeceo.com/article/top-10-online-compiler.html英文原文:Top 10 Online Compiler翻译作者:码农网 – ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lX6bN0.html" rel="bookmark" class="title">Lcd菜单处理编程</a>
					<div>
						Menu.h #ifndef        __MENU_h__ #define        __MENU_h__ #include &quot;Functions.h&quot; /*    目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZnObM.html" rel="bookmark" class="title">BZOJ 1662&colon; &lbrack;Usaco2006 Nov&rsqb;Round Numbers 圆环数（数位DP&plus;恶心细节）</a>
					<div>
						BZOJ 1662: [Usaco2006 Nov]Round Numbers 圆环数 Time Limit: 5 Sec  Memory Limit: 64 MB Description 正如你所知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QA6gw4.html" rel="bookmark" class="title">Ex003 求整数之积</a>
					<div>
						C语言的输入输出函数 1 #include &lt;stdio.h&gt; 2 3 int main() 4 { 5 int x,y,m; 6 printf(&quot;pleasr input x  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415p9O4.html" rel="bookmark" class="title">下载速度&sol;带宽 换算</a>
					<div>
						带宽是指在规定时间内从一端流到另一端的信息量,即数据传输率,基本单位是bit per second. 一般的下载软件显示的120Kb/s 等,基本单位是byte per second 如果网络运营商跟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONg280.html" rel="bookmark" class="title">jQuery基础之（六）jQuery浏览器的兼容性（以CSS3特写兼容举例）</a>
					<div>
						CSS3充分吸收多年了web发展的需求,吸收了很多新颖的特性.例如border-radius css3特性中最令人兴奋的莫过于选择器的增强,例如属性选择器可以根据某个属性值来选择标记,位置选择器可以根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvVjQ0.html" rel="bookmark" class="title">Jmeter&plus;Jenkins&plus;Maven  集成</a>
					<div>
						理论不多说,只讲关键操作. 1. (windows操作系统) 如何在命令行执行Jmeter 首先配置JMETER_HOME环境变量,值即为你Jmeter解压路径,把Jmeter加入path 在命令行运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RD1ER4.html" rel="bookmark" class="title">python 小功能</a>
					<div>
						目录 1.上传文件 2.验证码 一.上传文件 首先了解一下 request.FILES : 字典 request.FILES 中的每一个条目都是一个UploadFile对象.UploadFile对象有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWWnb3.html" rel="bookmark" class="title">wait&lpar;&rpar; notify&lpar;&rpar;搭配synchronize的使用</a>
					<div>
						一直以为自己动多线程,使用过好像就懂了原理一样,其实是按部就班的写自己不知道原理的代码而已. 一些概念: 监视器:将监视器比作一个建筑,建筑里面有个特别的房间,房间中有一些数据,这些数据在同一个时间只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDr8l83.html" rel="bookmark" class="title">11 SQL中的GroupBy &lpar;Group by in sql server&rpar;</a>
					<div>
						GroupBy 语句用来对选择的结果进行分组,GroupBy通常和聚合函数一起使用.比如有下面的一张表: 如果我们要将其按照City分组,并且计算出每个City的工资总和的话,可以使用下面的语句: S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AKAn3.html" rel="bookmark" class="title">检测网络接口</a>
					<div>
						假设没有下面的命令,你可以去一个http://repoforge.org/use/ 的yum源. ifstat命令 ifstat能够监控网络接口,比較简单地查看网络流量 ifstat默认是不监控回环接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5kmo0.html" rel="bookmark" class="title">使用wxPython WebView浏览器版本问题</a>
					<div>
						使用CodeMirror和wxPyhton的WebView创建嵌入客户端的本地代码编辑工具. 版本为wxPython 3.0,CodeMirror 支持的浏览器IE8或以上. wxPython提供了H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglVOL0.html" rel="bookmark" class="title">简析Android 兼容性测试框架CTS使用</a>
					<div>
						一.什么是兼容性测试? 1)为用户提供最好的用户体验,让更多高质量的APP可以顺利的运行在此平台上 2)让程序员能为此平台写更多的高质量的应用程序 3)可以更好的利用Android应用市场 二.CTS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDOlXM.html" rel="bookmark" class="title">HDU1013  Digital Roots 模拟&sol;&sol;数学题</a>
					<div>
						Problem Description: The digital root of a positive integer is found by summing the digits of the in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQQqD0.html" rel="bookmark" class="title">Java虚拟机的内存结构</a>
					<div>
						我们都知道虚拟机的内存划分了多个区域,并不是一张大饼.那么为什么要划分为多块区域呢,直接搞一块区域,所有用到内存的地方都往这块区域里扔不就行了,岂不痛快.是的,如果不进行区域划分,扔的时候确实痛快,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrAZe3.html" rel="bookmark" class="title">java面向对象第一章</a>
					<div>
						1.         使用类图如何描述设计 -   private(私有) 属性 +  public(公共) 方法 访问修饰符: 缺省(默认),只能被同一个包中的类访问 private(私有的),访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmmPmXM.html" rel="bookmark" class="title">如何解决虚拟机克隆导致&amp;quot&semi;Bringing up interface eth0&colon;  Error&colon; No suitable device found&colon; no device found for connection &amp;&num;39&semi;System eth0&amp;&num;39&semi;&period;&amp;quot&semi;</a>
					<div>
						在VMware的虚拟机中克隆CentOS,在重启网卡的时候报错: Bringing up interface eth0:  Error: No suitable device found: no de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Za2dD0.html" rel="bookmark" class="title">cocos2dx程序android平台下自更新策略</a>
					<div>
						cocos2dx开发的在android平台下运行的程序,是以一个.so用户库文件提供给JAVA层调用.所以我们在JAVA层实现检查更新,下载最新库文件,并跳过加载原来库文件,加载新库文件即可. 1.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
